Opened 11 years ago

Closed 11 years ago

#10603 closed build error (fixed)

wxGTK does not build with GTK+ 2.6.10

Reported by: alarsen Owned by: frm
Priority: normal Milestone: 2.9.0
Component: wxGTK Version: stable-latest
Keywords: gtk Cc:
Blocked By: Blocking:
Patch: no

Description

In GTK+ 2.6.10, gdk/gdkevents.h does not define GDK_GRAB_BROKEN (enum GdkEventType),
so compilation of recent src/gtk/evtloop.cpp (>= r59541) fails in line 191 ("case GDK_GRAB_BROKEN:")

I can't tell which GTK+ version introduced that symbol, though.

Cheers
Anders

Change History (1)

comment:1 Changed 11 years ago by FM

  • Resolution set to fixed
  • Status changed from new to closed

(In [59587]) guard with compile-time checks the new GDK_* event type symbols; explain why runtime checks are not necessary (closes #10603)

Note: See TracTickets for help on using tickets.